// Code generated by go-swagger; DO NOT EDIT.

package build_certificate

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"fmt"
	"io"

	"github.com/go-openapi/runtime"

	strfmt "github.com/go-openapi/strfmt"

	models "gitlab.com/pear-slices/mobile_platform/bitrise-step-api-build-trigger/models"
)

// BuildCertificateConfirmReader is a Reader for the BuildCertificateConfirm structure.
type BuildCertificateConfirmReader struct {
	formats strfmt.Registry
}

// ReadResponse reads a server response into the received o.
func (o *BuildCertificateConfirmReader) ReadResponse(response runtime.ClientResponse, consumer runtime.Consumer) (interface{}, error) {
	switch response.Code() {

	case 200:
		result := NewBuildCertificateConfirmOK()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return result, nil

	case 400:
		result := NewBuildCertificateConfirmBadRequest()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return nil, result

	case 401:
		result := NewBuildCertificateConfirmUnauthorized()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return nil, result

	case 404:
		result := NewBuildCertificateConfirmNotFound()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return nil, result

	case 500:
		result := NewBuildCertificateConfirmInternalServerError()
		if err := result.readResponse(response, consumer, o.formats); err != nil {
			return nil, err
		}
		return nil, result

	default:
		return nil, runtime.NewAPIError("unknown error", response, response.Code())
	}
}

// NewBuildCertificateConfirmOK creates a BuildCertificateConfirmOK with default headers values
func NewBuildCertificateConfirmOK() *BuildCertificateConfirmOK {
	return &BuildCertificateConfirmOK{}
}

/*BuildCertificateConfirmOK handles this case with default header values.

OK
*/
type BuildCertificateConfirmOK struct {
	Payload *models.V0BuildCertificateResponseModel
}

func (o *BuildCertificateConfirmOK) Error() string {
	return fmt.Sprintf("[POST /apps/{app-slug}/build-certificates/{build-certificate-slug}/uploaded][%d] buildCertificateConfirmOK  %+v", 200, o.Payload)
}

func (o *BuildCertificateConfirmOK) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	o.Payload = new(models.V0BuildCertificateResponseModel)

	// response payload
	if err := consumer.Consume(response.Body(), o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}

// NewBuildCertificateConfirmBadRequest creates a BuildCertificateConfirmBadRequest with default headers values
func NewBuildCertificateConfirmBadRequest() *BuildCertificateConfirmBadRequest {
	return &BuildCertificateConfirmBadRequest{}
}

/*BuildCertificateConfirmBadRequest handles this case with default header values.

Bad Request
*/
type BuildCertificateConfirmBadRequest struct {
	Payload *models.ServiceStandardErrorRespModel
}

func (o *BuildCertificateConfirmBadRequest) Error() string {
	return fmt.Sprintf("[POST /apps/{app-slug}/build-certificates/{build-certificate-slug}/uploaded][%d] buildCertificateConfirmBadRequest  %+v", 400, o.Payload)
}

func (o *BuildCertificateConfirmBadRequest) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	o.Payload = new(models.ServiceStandardErrorRespModel)

	// response payload
	if err := consumer.Consume(response.Body(), o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}

// NewBuildCertificateConfirmUnauthorized creates a BuildCertificateConfirmUnauthorized with default headers values
func NewBuildCertificateConfirmUnauthorized() *BuildCertificateConfirmUnauthorized {
	return &BuildCertificateConfirmUnauthorized{}
}

/*BuildCertificateConfirmUnauthorized handles this case with default header values.

Unauthorized
*/
type BuildCertificateConfirmUnauthorized struct {
	Payload *models.ServiceStandardErrorRespModel
}

func (o *BuildCertificateConfirmUnauthorized) Error() string {
	return fmt.Sprintf("[POST /apps/{app-slug}/build-certificates/{build-certificate-slug}/uploaded][%d] buildCertificateConfirmUnauthorized  %+v", 401, o.Payload)
}

func (o *BuildCertificateConfirmUnauthorized) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	o.Payload = new(models.ServiceStandardErrorRespModel)

	// response payload
	if err := consumer.Consume(response.Body(), o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}

// NewBuildCertificateConfirmNotFound creates a BuildCertificateConfirmNotFound with default headers values
func NewBuildCertificateConfirmNotFound() *BuildCertificateConfirmNotFound {
	return &BuildCertificateConfirmNotFound{}
}

/*BuildCertificateConfirmNotFound handles this case with default header values.

Not Found
*/
type BuildCertificateConfirmNotFound struct {
	Payload *models.ServiceStandardErrorRespModel
}

func (o *BuildCertificateConfirmNotFound) Error() string {
	return fmt.Sprintf("[POST /apps/{app-slug}/build-certificates/{build-certificate-slug}/uploaded][%d] buildCertificateConfirmNotFound  %+v", 404, o.Payload)
}

func (o *BuildCertificateConfirmNotFound) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	o.Payload = new(models.ServiceStandardErrorRespModel)

	// response payload
	if err := consumer.Consume(response.Body(), o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}

// NewBuildCertificateConfirmInternalServerError creates a BuildCertificateConfirmInternalServerError with default headers values
func NewBuildCertificateConfirmInternalServerError() *BuildCertificateConfirmInternalServerError {
	return &BuildCertificateConfirmInternalServerError{}
}

/*BuildCertificateConfirmInternalServerError handles this case with default header values.

Internal Server Error
*/
type BuildCertificateConfirmInternalServerError struct {
	Payload *models.ServiceStandardErrorRespModel
}

func (o *BuildCertificateConfirmInternalServerError) Error() string {
	return fmt.Sprintf("[POST /apps/{app-slug}/build-certificates/{build-certificate-slug}/uploaded][%d] buildCertificateConfirmInternalServerError  %+v", 500, o.Payload)
}

func (o *BuildCertificateConfirmInternalServerError) readResponse(response runtime.ClientResponse, consumer runtime.Consumer, formats strfmt.Registry) error {

	o.Payload = new(models.ServiceStandardErrorRespModel)

	// response payload
	if err := consumer.Consume(response.Body(), o.Payload); err != nil && err != io.EOF {
		return err
	}

	return nil
}
